Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SecondaryInterfaceList.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SecondaryInterfaceList.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.SecondaryInterfaceListOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SecondaryInterfaceList

public static final class ClientWireProtocol.SecondaryInterfaceList.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder> implements ClientWireProtocol.SecondaryInterfaceListOrBuilder
Protobuf type `xg.cmdcomp.SecondaryInterfaceList`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addAddress(String value)`
`repeated string address = 1;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addAddressBytes(ByteString value)`
`repeated string address = 1;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addAllAddress(Iterable<String> values)`
`repeated string address = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.SecondaryInterfaceList`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`clearAddress()`
`repeated string address = 1;`
`String`
`getAddress(int index)`
`repeated string address = 1;`
`ByteString`
`getAddressBytes(int index)`
`repeated string address = 1;`
`int`
`getAddressCount()`
`repeated string address = 1;`
`ProtocolStringList`
`getAddressList()`
`repeated string address = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`mergeFrom(ClientWireProtocol.SecondaryInterfaceList other)`
`final ClientWireProtocol.SecondaryInterfaceList.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`setAddress(int index, String value)`
`repeated string address = 1;`
`final ClientWireProtocol.SecondaryInterfaceList.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### clear

public ClientWireProtocol.SecondaryInterfaceList.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SecondaryInterfaceList getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.SecondaryInterfaceList build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SecondaryInterfaceList buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SecondaryInterfaceList.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### mergeFrom

public ClientWireProtocol.SecondaryInterfaceList.Builder mergeFrom(ClientWireProtocol.SecondaryInterfaceList other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### mergeFrom

public ClientWireProtocol.SecondaryInterfaceList.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getAddressList

public ProtocolStringList getAddressList()
`repeated string address = 1;`

Specified by:
  `getAddressList` in interface `ClientWireProtocol.SecondaryInterfaceListOrBuilder`
Returns:
  A list containing the address.

### getAddressCount

public int getAddressCount()
`repeated string address = 1;`

Specified by:
  `getAddressCount` in interface `ClientWireProtocol.SecondaryInterfaceListOrBuilder`
Returns:
  The count of address.

### getAddress

public String getAddress(int index)
`repeated string address = 1;`

Specified by:
  `getAddress` in interface `ClientWireProtocol.SecondaryInterfaceListOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The address at the given index.

### getAddressBytes

public ByteString getAddressBytes(int index)
`repeated string address = 1;`

Specified by:
  `getAddressBytes` in interface `ClientWireProtocol.SecondaryInterfaceListOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the address at the given index.

### setAddress

public ClientWireProtocol.SecondaryInterfaceList.Builder setAddress(int index, String value)
`repeated string address = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The address to set.
Returns:
  This builder for chaining.

### addAddress

public ClientWireProtocol.SecondaryInterfaceList.Builder addAddress(String value)
`repeated string address = 1;`

Parameters:
  `value` - The address to add.
Returns:
  This builder for chaining.

### addAllAddress

public ClientWireProtocol.SecondaryInterfaceList.Builder addAllAddress(Iterable<String> values)
`repeated string address = 1;`

Parameters:
  `values` - The address to add.
Returns:
  This builder for chaining.

### clearAddress

public ClientWireProtocol.SecondaryInterfaceList.Builder clearAddress()
`repeated string address = 1;`

Returns:
  This builder for chaining.

### addAddressBytes

public ClientWireProtocol.SecondaryInterfaceList.Builder addAddressBytes(ByteString value)
`repeated string address = 1;`

Parameters:
  `value` - The bytes of the address to add.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SecondaryInterfaceList.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SecondaryInterfaceList.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SecondaryInterfaceList.Builder>`